Bug 810490 - Total X failure on NV4E after update to 3.3 kernel
Summary: Total X failure on NV4E after update to 3.3 kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 16
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-06 12:22 UTC by m.oliver
Modified: 2013-02-13 12:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 12:50:00 UTC
Type: Bug


Attachments (Terms of Use)
/var/log/Xorg.0.log.old from before the necessary reboot (45.22 KB, application/octet-stream)
2012-04-06 12:22 UTC, m.oliver
no flags Details
/var/log/Xorg.0.log from working boot with kernel 3.2.10-3 (89.41 KB, text/x-log)
2012-04-06 12:25 UTC, m.oliver
no flags Details
Output from smoltSendProfile -p > /tmp/smoltprofile.txt (3.09 KB, text/plain)
2012-04-06 12:26 UTC, m.oliver
no flags Details
/var/log/Xorg.0.log with kernel 3.3.2-1 and kernel parameter drm.info=255 (69.51 KB, text/x-log)
2012-04-22 21:31 UTC, m.oliver
no flags Details
dmsg with kernel 3.3.2-1 and kernel parameter drm.info=255 (60.37 KB, application/octet-stream)
2012-04-22 21:33 UTC, m.oliver
no flags Details
/var/log/Xorg.0.log with kernel 3.3.2-1 with bug triggered (21.88 KB, text/x-log)
2012-04-22 21:39 UTC, m.oliver
no flags Details
dmesg with kernel 3.3.2-1 with bug triggered (344.03 KB, application/octet-stream)
2012-04-22 21:42 UTC, m.oliver
no flags Details

Description m.oliver 2012-04-06 12:22:59 UTC
Created attachment 575720 [details]
/var/log/Xorg.0.log.old from before the necessary reboot

Description of problem:
After a routine update to a 3.3 kernel, the X server fails to start up.  
Hardware is Nvidia GeForce 6150 (NV4E)

Version-Release number of selected component (if applicable):
Failure on both kernel-3.3.0-8.fc16.i686 and kernel-3.3.0-4.fc16.i686.
Last working kernel (on my system) is kernel-3.2.10-3.fc16.i686

How reproducible:
Always

Steps to Reproduce:
1. Boot system
  
Actual results:
The background color changes to the standard dark blue, but the Fedora f in the center does not even come up.  System appears to continue to boot, but X is completely locked, including keyboard (no switch to another vitural console is possible).


Expected results:
Normal boot.


Additional info:
Kernel parameters are

linux   /boot/vmlinuz-3.3.0-8.fc16.i686 root=UUID=7831c428-13cb-4f6e-9e67-43a07004552b ro nouveau.noaccel=1 rd.md=0 rd.lvm=0 rd.dm=0  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8

In particular, acceleration is switched off because 3D is generally hosed on this hardware, see separate bug https://bugzilla.redhat.com/show_bug.cgi?id=752840

Comment 1 m.oliver 2012-04-06 12:25:16 UTC
Created attachment 575722 [details]
/var/log/Xorg.0.log from working boot with kernel 3.2.10-3

Comment 2 m.oliver 2012-04-06 12:26:17 UTC
Created attachment 575724 [details]
Output from smoltSendProfile -p > /tmp/smoltprofile.txt

Comment 3 m.oliver 2012-04-06 12:34:21 UTC
Further notes: there is no xorg.conf

I cannot easily get a dmesg output because the network only comes up after login and I cannot interact on the console when the problem comes up...

If there is anything useful I can do to gather more information, please let me know.

Comment 4 dave 2012-04-08 00:37:55 UTC
Same problem here.

hardware: nVidia Corporation G96 [GeForce 9500 GT] (rev a1)

last working kernel: 3.2.9-2.fc16.x86_64 

All 3.3 based kernel updates (up to 3.3.0-4 , 3.3.0-8, 3.3.1- do not work as yet.

I have no extra nouveau boot parameters, just the stock update boot command line.

Comment 5 Adam Williamson 2012-04-19 14:54:07 UTC
dave: that's probably not actually the same issue, as you have a rather later card than Oliver. Please file a different bug.

oliver: you can use a remote console to get the kernel log messages out - it's a bit of a pain but workable. See http://www.mjmwired.net/kernel/Documentation/networking/netconsole.txt , approximately.

Comment 6 m.oliver 2012-04-22 21:31:17 UTC
Created attachment 579356 [details]
/var/log/Xorg.0.log with kernel 3.3.2-1 and kernel parameter drm.info=255

In response to a question about this bug on the fedora test list I was told to add a dmsg output with drm.info=255 to this bug.  So I booted with this kernel parameter (as well as debug loglevel=8 as further advised, and drm.debug=14 log_buf_len=16M as advised in the Fedora Wiki) which causes a textmode boot and a sort-of working X (with a bad refresh rate).  The corresponding Xorg.0.log is attached, the dmesg will follow in the next attachment.  (A regular boot has the problem as originally described also with the 3.3.2-1 kernel.)

Comment 7 m.oliver 2012-04-22 21:33:27 UTC
Created attachment 579357 [details]
dmsg with kernel 3.3.2-1 and kernel parameter drm.info=255

Comment 8 m.oliver 2012-04-22 21:39:14 UTC
Created attachment 579358 [details]
/var/log/Xorg.0.log with kernel 3.3.2-1 with bug triggered

If I leave out the kernel parameter drm.info=255 (everything else as before), the bug triggers again.  Xorg.0.log here, dmsg comes next

Comment 9 m.oliver 2012-04-22 21:42:05 UTC
Created attachment 579364 [details]
dmesg with kernel 3.3.2-1 with bug triggered

Comment 10 m.oliver 2012-04-22 21:43:25 UTC
The same problem appears with F17 beta.  Will generate dmesg reports tomorrow.  Should I attach to this bug or open new one?

Comment 11 m.oliver 2012-06-12 20:21:36 UTC
Kernel 3.4 fixes the issue for me, even accelerated 3D works now for the first time.  Fedora 17 installer still has 3.3 kernel, so needs to be forced to use vesa mode, but after system update, everything works.

Comment 12 Dennis L 2012-08-21 22:08:29 UTC
Adding 'nomodeset nouveau.modeset=1' to the kernel command line enables my Dell 2400 with an EVGA GeForce 6200 video card running Fedora 16 to successfully boot up into the gnome-shell. Adding the same to the end of the 'GRUB_CMDLINE_LINUX=' line in the /etc/default/grub file and then executing 'grub2-mkconfig -o /boot/grub2/grub.cfg' makes the boot-up repeatable.

Comment 13 Fedora End Of Life 2013-01-16 12:31:39 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Fedora End Of Life 2013-02-13 12:50:03 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.